cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',
        tex : cc.SpriteFrame,
        sprite : cc.Sprite
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
    },

    // called every frame
    update: function (dt) {

    },

    clicked () {
        cc.loader.loadRes("test/HelloWorld",cc.SpriteFrame,(completedCount, totalCount) => {
            cc.log("onProgress", completedCount, totalCount);
        },(err, res) => {
            cc.log("load completed", res);
            this.sprite.spriteFrame = res;
            this._resName = res._textureFilename;
        })
    },

    release () {
        var sp = this.sprite.spriteFrame;
        var deps = cc.loader.getDependsRecursively(sp);
        if (sp !== this.tex) {
            this.sprite.spriteFrame = this.tex;
            cc.loader.release(deps);
        }
    }
});
