"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',
        tex: cc.SpriteFrame,
        sprite: cc.Sprite
    },

    // use this for initialization
    onLoad: function onLoad() {
        this.label.string = this.text;
    },

    // called every frame
    update: function update(dt) {},

    clicked: function clicked() {
        var _this = this;

        cc.loader.loadRes("test/HelloWorld", cc.SpriteFrame, function (completedCount, totalCount) {
            cc.log("onProgress", completedCount, totalCount);
        }, function (err, res) {
            cc.log("load completed", res);
            _this.sprite.spriteFrame = res;
            _this._resName = res._textureFilename;
        });
    },
    release: function release() {
        var sp = this.sprite.spriteFrame;
        var deps = cc.loader.getDependsRecursively(sp);
        if (sp !== this.tex) {
            this.sprite.spriteFrame = this.tex;
            cc.loader.release(deps);
        }
    }
});

cc._RF.pop();